<template>
  <div class="app-container">
    <el-form :model="queryParams" ref="queryForm" size="small" :inline="true" v-show="showSearch" label-width="70px">
      <el-form-item label="文件名称" prop="tenderName">
        <el-input
          v-model="queryParams.tenderName"
          placeholder="请输入文件名称"
          clearable
          @keyup.enter.native="handleQuery"
        />
      </el-form-item>
      <el-form-item>
        <el-button type="primary" icon="el-icon-search" size="mini" @click="handleQuery">搜索</el-button>
        <el-button icon="el-icon-refresh" size="mini" @click="resetQuery">重置</el-button>
      </el-form-item>
    </el-form>

    <el-row :gutter="10" class="mb8">
      <el-col :span="1.5">
        <el-button
          type="primary"
          plain
          icon="el-icon-plus"
          size="mini"
          @click="handleAdd"
          v-hasPermi="['bid:myzizhi:add']"
        >上传标书</el-button>
      </el-col>
      <el-col :span="1.5">
        <el-button
          type="danger"
          plain
          icon="el-icon-delete"
          size="mini"
          :disabled="multiple"
          @click="handleDelete"
          v-hasPermi="['bid:myzizhi:remove']"
        >删除</el-button>
      </el-col>
      <right-toolbar :showSearch.sync="showSearch" @queryTable="getList"></right-toolbar>
    </el-row>

    <el-table v-loading="loading" :data="list" @selection-change="handleSelectionChange" border>
      <el-table-column type="selection" width="55" align="center" />
      <el-table-column label="文件名称" align="center" prop="tenderName" />
      <el-table-column label="状态" align="center" prop="status" >
        <template slot-scope="scope">
          <span>生成完成</span>
        </template>
      </el-table-column>
      <el-table-column label="进度" align="center" prop="progress">
        <template slot-scope="scope">
          <el-progress :percentage="scope.row.progress"></el-progress>
        </template>
      </el-table-column>
      <el-table-column label="创建时间" align="center" prop="createTime">
        <template slot-scope="scope">
          <span>{{ scope.row.createTime }}</span>
        </template>
      </el-table-column>
      <el-table-column label="操作" align="center" class-name="small-padding fixed-width">
        <template slot-scope="scope">
          <el-button
            size="mini"
            type="text"
            icon="el-icon-edit"
          >修改</el-button>
          <el-button
            size="mini"
            type="text"
            icon="el-icon-delete"
          >删除</el-button>
        </template>
      </el-table-column>
    </el-table>

    <!-- 添加或修改资质管理对话框 -->
    <el-dialog :title="title" :visible.sync="open" width="800px" append-to-body>
      <el-form ref="form" :model="form" :rules="rules" label-width="120px">

        <el-row :gutter="10">
          <el-col :span="24">
            <el-form-item label="上传招标文件" prop="relatePhoto1">
              <file-upload v-model="form.relatePhoto" :fileType = '["doc", "docx", "pdf"]'/>
            </el-form-item>
          </el-col>
          <el-col :span="24">
            <el-form-item label="上传工程量清单" prop="relatePhoto2">
              <file-upload v-model="form.relatePhoto" :fileType = '["xls", "xlsx"]'/>
            </el-form-item>
          </el-col>
          <el-col :span="24">
            <el-form-item label="上传工程图纸" prop="relatePhoto3">
              <file-upload v-model="form.relatePhoto" :fileType = '["pdf"]'/>
            </el-form-item>
          </el-col>
          <el-col :span="24">
            <el-form-item label="上传附件" prop="relatePhoto4">
              <file-upload v-model="form.relatePhoto" :fileType = '["doc", "docx", "xls", "xlsx", "pdf"]'/>
            </el-form-item>
          </el-col>
        </el-row>
      </el-form>

      <div slot="footer" class="dialog-footer">
        <el-button type="primary" @click="submitForm">开始分析</el-button>
      </div>

    </el-dialog>
  </div>
</template>

<script>
import { listMyzizhi, getMyzizhi, delMyzizhi, addMyzizhi, updateMyzizhi } from "@/api/bid/myzizhi"

export default {
  name: "Myzizhi",
  data() {
    return {
      zizhiList:[],
      // 遮罩层
      loading: false,
      // 选中数组
      ids: [],
      // 非单个禁用
      single: true,
      // 非多个禁用
      multiple: true,
      // 显示搜索条件
      showSearch: true,
      // 总条数
      total: 0,
      // 资质管理表格数据
      list: [{
        tenderName: '网络服务器、台式计算机、LED显示屏等信息化设备（二次）招标文件（928103623）',
        status: '1',
        progress: 100,
        createTime: '2025-12-11 15:32:31',
      }],
      // 弹出层标题
      title: "",
      // 是否显示弹出层
      open: false,
      // 查询参数
      queryParams: {
        pageNum: 1,
        pageSize: 10,
        documentId: null,
        documentCode: null,
        documentName: null,
        documentRate: null,
        startTime: null,
        endTime: null,
        level: null,
        longLalid: null,
        relatePhoto: null,
        status: null,
        tempId: null,
        tenantCode: null,
      },
      // 表单参数
      form: {},
      // 表单校验
      rules: {
        relatePhoto: [
          { required: true, message: "资质证书不能为空", trigger: "blur" }
        ],
        documentName: [
          { required: true, message: "证书名称不能为空", trigger: "blur" }
        ],
        documentCode: [
          { required: true, message: "证书编码不能为空", trigger: "blur" }
        ],
        documentRate: [
          { required: true, message: "证书评级不能为空", trigger: "blur" }
        ],
        longLalid: [
          { required: true, message: "是否长期不能为空", trigger: "blur" }
        ],
        startTime: [
          { required: true, message: "开始时间不能为空", trigger: "blur" }
        ],
        endTime: [
          { required: true, message: "结束时间不能为空", trigger: "blur" }
        ],
      }
    }
  },
  created() {
    // this.getList()
  },
  methods: {
    /** 查询资质管理列表 */
    getList() {
      this.loading = true
      listMyzizhi(this.queryParams).then(response => {
        this.myzizhiList = response.rows
        this.total = response.total
        this.loading = false
      })
    },
    // 取消按钮
    cancel() {
      this.open = false
      this.reset()
    },
    // 表单重置
    reset() {
      this.form = {
        id: null,
        documentId: null,
        documentCode: null,
        documentName: null,
        documentRate: null,
        startTime: null,
        endTime: null,
        level: null,
        longLalid: '0',
        relatePhoto: null,
        status: null,
        tempId: null,
        tenantCode: null,
        createBy: null,
        createTime: null,
        updateBy: null,
        updateTime: null,
        remark: null
      }
      this.resetForm("form")
    },
    /** 搜索按钮操作 */
    handleQuery() {
      this.queryParams.pageNum = 1
      this.getList()
    },
    /** 重置按钮操作 */
    resetQuery() {
      this.resetForm("queryForm")
      this.handleQuery()
    },
    // 多选框选中数据
    handleSelectionChange(selection) {
      this.ids = selection.map(item => item.id)
      this.single = selection.length!==1
      this.multiple = !selection.length
    },
    /** 新增按钮操作 */
    handleAdd() {
      this.reset();
      this.open = true
      this.title = "上传标书"
    },
    /** 修改按钮操作 */
    handleUpdate(row) {
      this.reset();
      this.getListZizhi();
      const id = row.id || this.ids
      getMyzizhi(id).then(response => {
        this.form = response.data
        this.open = true
        this.title = "修改资质管理"
      })
    },
    /** 提交按钮 */
    submitForm() {
      this.$refs["form"].validate(valid => {
        if (valid) {
          if (this.form.id != null) {
            updateMyzizhi(this.form).then(response => {
              this.$modal.msgSuccess("修改成功")
              this.open = false
              this.getList()
            })
          } else {
            addMyzizhi(this.form).then(response => {
              this.$modal.msgSuccess("新增成功")
              this.open = false
              this.getList()
            })
          }
        }
      })
    },
    /** 删除按钮操作 */
    handleDelete(row) {
      const ids = row.id || this.ids
      this.$modal.confirm('是否确认删除资质管理编号为"' + ids + '"的数据项？').then(function() {
        return delMyzizhi(ids)
      }).then(() => {
        this.getList()
        this.$modal.msgSuccess("删除成功")
      }).catch(() => {})
    },
    /** 导出按钮操作 */
    handleExport() {
      this.download('bid/myzizhi/export', {
        ...this.queryParams
      }, `myzizhi_${new Date().getTime()}.xlsx`)
    },
    // 是否长期 绑定值变化时触发
    longLalidChange(){
      this.form.startTime = null;
      this.form.endTime = null;
    }
  }
}
</script>
